io.vertx.rxjava3.sqlclient.desc

## Class ColumnDescriptor

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.desc.ColumnDescriptor

-     public class ColumnDescriptor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ColumnDescriptor>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDescriptor(ColumnDescriptor delegate)`
    `ColumnDescriptor(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ColumnDescriptor` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isArray()`
    `JDBCType` | `jdbcType()`
    `String` | `name()`
    `static ColumnDescriptor` | `newInstance(ColumnDescriptor arg)`
    `String` | `toString()`
    `String` | `typeName()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ColumnDescriptor> __TYPE_ARG

  - ### Constructor Detail

    - #### ColumnDescriptor

          public ColumnDescriptor(ColumnDescriptor delegate)

    - #### ColumnDescriptor

          public ColumnDescriptor(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ColumnDescriptor getDelegate()

    - #### name

          public String name()

      Returns:
        the column name

    - #### isArray

          public boolean isArray()

      Returns:
        whether the column is an array

    - #### typeName

          public String typeName()

      Returns:
        vendor-specific name of the column type, or `null` if unknown

    - #### jdbcType

          public JDBCType jdbcType()

      Returns:
        the most appropriate `JDBCType`

    - #### newInstance

          public static ColumnDescriptor newInstance(ColumnDescriptor arg)

Copyright © 2023 Eclipse. All rights reserved.